Subject: bug#29304: 26.0.90; Typos in electric.el, with patch

From: Lele Gaifax <[email-masked]>
Date: Wed, 15 Nov 2017 10:21:11 +0100

There are two typos in the definition of the variable
`electric-indent-functions-without-reindent' in lisp/electric.el:

- its docstring mentions a non existing `line-indent-function' instead of the
  correct `indent-line-function';

- its value contains a reference to a non existing `py-indent-line' function,
  that should really be `python-indent-line-function'.

The attached patch fixes both issues.

>From c340e5ef63c3bf163eb39b7db5f0c6c34814d97d Mon Sep 17 00:00:00 2001
From: Lele Gaifax <[email-masked]>
Date: Wed, 15 Nov 2017 10:01:45 +0100
Subject: [PATCH 1/2] Fix typos in electric-indent-functions-without-reindent

* lisp/electric.el (electric-indent-functions-without-reindent): Fix
  doc typo, `line-indent-function' -> `indent-line-function'; fix
  python specific indent line function name, `py-indent-line' ->
  `python-indent-line-function'.
---
 lisp/electric.el | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/lisp/electric.el b/lisp/electric.el
index d7929945db..6a08554ed0 100644
--- a/lisp/electric.el
+++ b/lisp/electric.el
@@ -223,11 +223,11 @@ electric-indent-inhibit
 
 (defvar electric-indent-functions-without-reindent
   '(indent-relative indent-to-left-margin indent-relative-maybe
-    py-indent-line coffee-indent-line org-indent-line yaml-indent-line
-    haskell-indentation-indent-line haskell-indent-cycle haskell-simple-indent
-    yaml-indent-line)
+    python-indent-line-function coffee-indent-line org-indent-line
+    yaml-indent-line haskell-indentation-indent-line
+    haskell-indent-cycle haskell-simple-indent yaml-indent-line)
   "List of indent functions that can't reindent.
-If `line-indent-function' is one of those, then `electric-indent-mode' will
+If `indent-line-function' is one of those, then `electric-indent-mode' will
 not try to reindent lines.  It is normally better to make the major
 mode set `electric-indent-inhibit', but this can be used as a workaround.")
 
-- 
2.15.0

-- 
nickname: Lele Gaifax | Quando vivrò di quello che ho pensato ieri
real: Emanuele Gaifas | comincerò ad aver paura di chi mi copia.
[email-masked]  |                 -- Fortunato Depero, 1929.